Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • 21:31
    awarmfastbear commented #2227
  • 21:30
    awarmfastbear commented #2227
  • Jan 25 20:42
    Skylled commented #2229
  • Jan 25 20:41
    DanTup commented #2175
  • Jan 25 20:36
    DanTup commented #2229
  • Jan 25 20:35
    DanTup commented #2229
  • Jan 25 20:03
    Skylled closed #2229
  • Jan 25 20:03
    Skylled commented #2229
  • Jan 25 19:51
    marcusedu starred Dart-Code/Dart-Code
  • Jan 25 17:16
    Dancovich commented #2175
  • Jan 24 18:26
    moseskarunia edited #2234
  • Jan 24 18:25
    moseskarunia edited #2234
  • Jan 24 18:24
    moseskarunia edited #2234
  • Jan 24 18:21
    moseskarunia edited #2234
  • Jan 24 18:18
    moseskarunia opened #2234
  • Jan 24 17:06
    DanTup labeled #2231
  • Jan 24 17:06
    DanTup milestoned #2231
  • Jan 24 17:06
    DanTup commented #2231
  • Jan 24 16:56
    DanTup commented #2232
  • Jan 24 16:53
    DanTup edited #2232
Akash Singh
@Kt_AkashSingh_twitter
Danny Tuppeny
@DanTup
@Kt_AkashSingh_twitter I've replied to the issue in the Flutter issue tracker. There have been a couple of reports of this lately but it's not clear what's going on. I've pinged a few people that might be more familiar. Out of interest, do you have ML completions enabled, or have you been running the project on the web/Chrome device?
Akash Singh
@Kt_AkashSingh_twitter
Hello @DanTup its all started a week ago, when i was tested a demo app(mobile) for image classification but it failed in both VS code and android studio, since then neither my new project nor my old project run properly i got the same error that i mention in the issue. After i got these i think it might be my system fault so that i did clean installation of window os two times, but still nothing has improved i got the same error, whether i run my old project or create a new project in both VS code and android studio.
And i am not made any single app for web/chrome device.
Danny Tuppeny
@DanTup
@Kt_AkashSingh_twitter if you can reproduce it on a brand new flutter create app, could you note exact instructions (starting from running flutter create) on the issue so I can copy exactly? If I can reproduce it here, it would be much easier to track down
Akash Singh
@Kt_AkashSingh_twitter
@DanTup i create new project with flutter create before i run my app, the same pop up come "Dart Analysis has terminated" with same log that i already mentioned.........
and here is gist which contain log files output.
https://gist.github.com/Akash4097/016383a2e1ad49d9c28f6ea5070faaaa
Akash Singh
@Kt_AkashSingh_twitter
and please tell me what i miss, if i miss something then please can you guide me to properly generated the log error........
Danny Tuppeny
@DanTup
@Kt_AkashSingh_twitter Oh, this one is crashing before you run the Flutter app - the other reports all seemed to occur when running so I thought it was related - maybe it's not. Instructions for capturing an analysis srever instrumentation log are at https://dartcode.org/docs/logging/#analyzer-instrumentation (it's a VS Code setting you need to set - be sure to remove it afterwards, to avoid generating lots of logging in normal use)
Akash Singh
@Kt_AkashSingh_twitter
@DanTup after adding "dart.analyzerInstrumentationLogFile" and "dart.analyzerLogFile" setting in vs code this is what i got:
https://gist.github.com/Akash4097/131ceae64e54e6331b77a22e992bb5b9
i am not able to make a gist of second file(dart.analyzerInstrumentationLogFile) so c an you tell me how can i share it with you, i tried on dropbox and google derive as well
Akash Singh
@Kt_AkashSingh_twitter
now second log file uploaded you can view that here:
https://www.dropbox.com/s/k0iuac4d3t5wid4/analyzerInstruments.txt?dl=0
Danny Tuppeny
@DanTup
@Kt_AkashSingh_twitter thanks! Doesn't reveal much (to me), but I've posted the useful part to the Flutter issue with some notes. Hopefully someone I CC'd might have some ideas about what be happening (or at least, how we can better capture some info about the crash).
@Kt_AkashSingh_twitter this is a long shot - but are there any events in the Windows Event Viewer that correspond to the process crashing?
Akash Singh
@Kt_AkashSingh_twitter
@DanTup what specific event should i check b/c i don't have much experience to work with event viewer, can you help me on this.
Akash Singh
@Kt_AkashSingh_twitter
@DanTup i got one error on event viewer after run my demo app on vs code under Admin events:
this is the what i got in general tab:
Faulting application name: dart.exe, version: 0.0.0.0, time stamp: 0x5df0041d
Faulting module name: ntdll.dll, version: 10.0.18362.418, time stamp: 0x99ca0526
Exception code: 0xc0000005
Fault offset: 0x00000000000072a6
Faulting process id: 0xb44
Faulting application start time: 0x01d5badd7aa7a1d8
Faulting application path: C:\Users\Akash\flutter\bin\cache\dart-sdk\bin\dart.exe
Faulting module path: C:\Windows\SYSTEM32\ntdll.dll
Report Id: d7dc5511-34a1-4538-ac00-4c9067665fde
Faulting package full name:
Faulting package-relative application ID:

this is what i got in details tab:

<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
- <System>
<Provider Name="Application Error" />
<EventID Qualifiers="0">1000</EventID>
<Level>2</Level>
<Task>100</Task>
<Keywords>0x80000000000000</Keywords>
<TimeCreated SystemTime="2019-12-25T04:41:42.084787300Z" />
<EventRecordID>5392</EventRecordID>
<Channel>Application</Channel>
<Computer>DESKTOP-EEMMEFI</Computer>
<Security />
</System>
- <EventData>
<Data>dart.exe</Data>
<Data>0.0.0.0</Data>
<Data>5df0041d</Data>
<Data>ntdll.dll</Data>
<Data>10.0.18362.418</Data>
<Data>99ca0526</Data>
<Data>c0000005</Data>
<Data>00000000000072a6</Data>
<Data>b44</Data>
<Data>01d5badd7aa7a1d8</Data>
<Data>C:\Users\Akash\flutter\bin\cache\dart-sdk\bin\dart.exe</Data>
<Data>C:\Windows\SYSTEM32\ntdll.dll</Data>
<Data>d7dc5511-34a1-4538-ac00-4c9067665fde</Data>
<Data />
<Data />
</EventData>
</Event>

Simon Binder
@simolus3
@Kt_AkashSingh_twitter I'm not sure if that's related, but I used to have some weird analyzer crashes that were caused by invalid cache files. I can't guarantee it'll help, but maybe you can try to first close VS Code and all analyzer processes, then make a backup of %LOCALAPPDATA%\.dartServer and finally delete that folder. Next analysis will take some time, but for me that fixed some crashes.
Danny Tuppeny
@DanTup

@Kt_AkashSingh_twitter I'm not sure there's much useful info there, but it may be worth adding that to the Flutter issue in case it means something to someone else :)

And it's worth trying @simolus3's solution of moving the .dartServer folder from your home directory (just rename it, so if it does solve it, you still have a copy in case it's useful for the analysis server devs to understand what was happening)

Akash Singh
@Kt_AkashSingh_twitter
Thanks for your help @simolus3 but it didn't help, it is still the same error, @DanTup can you please tell me how much time did they take to resolve this issue or it won't solve, i am so frustrated.
Danny Tuppeny
@DanTup
@Kt_AkashSingh_twitter unfortunately it's impossible to predict how long it will take to resolve an issue without knowing the cause (and it's a strange issue - running Flutter appears to be causing an unrelated process to crash). Many people also take time off at this time of year so it may take a little longer to be investigated. If it's blocking you, I would recommend trying the previous stable version (1.9) until it's clear what the cause is and/or how to fix. If I can figure out how to repro I'll do some digging, though I'm also out a lot over this next week.
Akash Singh
@Kt_AkashSingh_twitter
i can understand the current situation that lots of people are on holiday, and about using previous version i also try that and i don't have no idea but that also give me the same error, i am totally stuck, all i just wait for the solution thanks for your help @DanTup
Danny Tuppeny
@DanTup
@Kt_AkashSingh_twitter Yeah, I understand it's frustrating :( Are you seeing the same behaviour after downgrading? Does flutter --version report the version as 1.9.x?
Akash Singh
@Kt_AkashSingh_twitter
hey @DanTup i tired to back to previous version (1.9.hotfix4) and it work well in both vs and anroid studio, so now tell me how can i notify if my problem get solved(as holidays over) so that i can also use latest feature of flutter.
Akash Singh
@Kt_AkashSingh_twitter
@DanTup is their any way to use latest flutter latest version but with previous dart version(2.5.0) until my problem get solved??
Danny Tuppeny
@DanTup
@Kt_AkashSingh_twitter unfortunately there's no simple way to mix and match the Dart/Flutter SDK versions
Akash Singh
@Kt_AkashSingh_twitter
ok, that mean i have to wait for the solution @DanTup
^created this extension for vscode, it will automatically generate the getters and setters in dart!
Nico
@Rodsevich
Is there a way of running async code in the debug console?
I wanna run it and check the result. When executing an async call it only returns sth like this _Future (Instance of 'Future<Null>') and I don't even know if the call was made or not
Danny Tuppeny
@DanTup
@Rodsevich Hmm, good question! I don't know the answer. I would expect the code was called though. If you file an issue on GitHub, I'll see if there's a way we could handle this. Adding .then(print) on the end might work (though if it does, it'd only print a string and not give an interactive object)
Nico
@Rodsevich
that's the case for which I'm doubting about the execution
no print at all. Nor even with .then((s){print('funco');})
Nico
@Rodsevich

@Rodsevich Hmm, good question! I don't know the answer. I would expect the code was called though. If you file an issue on GitHub, I'll see if there's a way we could handle this. Adding .then(print) on the end might work (though if it does, it'd only print a string and not give an interactive object)

#2212 opened

Nico
@Rodsevich
whats the command that runs when clickjing Debug on tests?
Danny Tuppeny
@DanTup
@Rodsevich if you mean the code-lens links, it runs _dart.startWithoutDebuggingTestFromOutline (same thing the test tree context menu uses)
Sorry, _dart.startDebuggingTestFromOutline
Nico
@Rodsevich
oh... and is it easy to decode the dart command that would run? It would be very hard for me to decode that TS code for finding that out
Danny Tuppeny
@DanTup
@Rodsevich if you run the Dart: Capture Logs command in VS Code, then run that command, then click Cancel on the logging notification, the log should contain the exact command/args being run
(probably prefixed with spawning
Nico
@Rodsevich
excellent!! Tante grazie!
Jonathan Rezende
@jodinathan
when I command click a variable or method, vs code show me two places where it can be registered, one in the original file and place and another one in the html of the dart angular component. Do you know how to fix this?
Danny Tuppeny
@DanTup
@jodinathan I'm not familiar with Angular so I'm not sure what this looks like, but which one are you not expecting? The one in code is likely the one the analyzer is providing, and the one in Angular is likely being added by the AngularDart analysis server plugin.
Jonathan Rezende
@jodinathan
view.dart — guaraci_admin (Workspace) 2020-01-17 14-25-01.png
the first definition in the image has no connection at all with the method I clicked
it is a method from a private service in the component
Danny Tuppeny
@DanTup
@jodinathan oh, then that sounds like a bug - I thought you meant it was showing some definition of it in the Angular file. I'd guess that's a bug in either the analysis server (in the SDK) or the AngularDart plugin (which lives in the dart-lang/angular repo).
Jonathan Rezende
@jodinathan
should I fill an issue in the angulardart plugin repo?
Jonathan Rezende
@jodinathan
Danny Tuppeny
@DanTup
@jodinathan sorry I didn't respond - Gitter notifications are useless (Discord works better - there's a link to the Dart-Code discord server in the readme). I've subscribed to that issue for notifications, so I'll chime in if there's anything I can help with